org.apache.ignite.spi.systemview.view

## Class ScanQueryView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.ScanQueryView

-     public class ScanQueryView
      extends Object

  Scan query iterator representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanQueryView(UUID nodeId, long qryId, boolean canceled, IgniteSpiCloseableIterator<IgniteBiTuple<K,V>> iter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cacheGroupId()`
    `String` | `cacheGroupName()`
    `int` | `cacheId()`
    `String` | `cacheName()`
    `boolean` | `canceled()`
    `long` | `duration()`
    `String` | `filter()`
    `boolean` | `keepBinary()`
    `boolean` | `local()`
    `UUID` | `originNodeId()`
    `int` | `pageSize()`
    `int` | `partition()`
    `long` | `queryId()`
    `long` | `startTime()`
    `UUID` | `subjectId()`
    `String` | `taskName()`
    `String` | `topology()`
    `String` | `transformer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScanQueryView

          public ScanQueryView(UUID nodeId,
                               long qryId,
                               boolean canceled,
                               IgniteSpiCloseableIterator<IgniteBiTuple<K,V>> iter)

      Type Parameters:
        `K` - Key type.
        `V` - Value type.
      Parameters:
        `nodeId` - Originating node id.
        `qryId` - Query id.
        `canceled` - `True` if query canceled.
        `iter` - Query iterator.

  - ### Method Detail

    - #### originNodeId

          public UUID originNodeId()

      Returns:
        Origin node id.

    - #### queryId

          public long queryId()

      Returns:
        Local query id.

    - #### canceled

          public boolean canceled()

      Returns:
        `True` if query canceled.

    - #### cacheName

          public String cacheName()

      Returns:
        Cache name.

    - #### cacheId

          public int cacheId()

      Returns:
        Cache id.

    - #### cacheGroupId

          public int cacheGroupId()

      Returns:
        Cache group id.

    - #### cacheGroupName

          public String cacheGroupName()

      Returns:
        Cache group name.

    - #### startTime

          public long startTime()

      Returns:
        Start time.

    - #### duration

          public long duration()

      Returns:
        Query duration.

    - #### filter

          public String filter()

      Returns:
        Filter.

    - #### partition

          public int partition()

      Returns:
        Cache partition.

    - #### local

          public boolean local()

      Returns:
        `True` if query local.

    - #### transformer

          public String transformer()

      Returns:
        Transformer.

    - #### topology

          public String topology()

      Returns:
        Topology.

    - #### keepBinary

          public boolean keepBinary()

      Returns:
        Keep binary flag.

    - #### subjectId

          public UUID subjectId()

      Returns:
        Subject id.

    - #### taskName

          public String taskName()

      Returns:
        Task name.

    - #### pageSize

          public int pageSize()

      Returns:
        Page size.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023